Loading...
Searching...
No Matches
stdex::parser::basic_time< T > Class Template Reference

Test for time. More...

`#include <stdex/parser.hpp>`

Inheritance diagram for stdex::parser::basic_time< T >:

## Public Member Functions

| basic_time (const std::shared_ptr< basic_integer10< T > > &_hour, const std::shared_ptr< basic_integer10< T > > &_minute, const std::shared_ptr< basic_integer10< T > > &_second, const std::shared_ptr< basic_integer10< T > > &_millisecond, const std::shared_ptr< basic_set< T > > &separator, const std::shared_ptr< basic_parser< T > > &millisecond_separator, const std::locale &locale=std::locale())
virtual bool | match (_In_reads_or_z_(end) const T *text, size_t start=0, size_t end=SIZE_MAX, int flags=match_default)
virtual void | invalidate ()
Public Member Functions inherited from stdex::parser::basic_parser< T >
| basic_parser (const std::locale &locale=std::locale())
bool | search (_In_reads_or_z_(end) const T *text, size_t start=0, size_t end=SIZE_MAX, int flags=match_default)
template<class _Traits , class _Ax >
bool | match (const std::basic_string< T, _Traits, _Ax > &text, size_t start=0, size_t end=SIZE_MAX, int flags=match_default)

## Public Attributes

std::shared_ptr< basic_integer10< T > > | hour
std::shared_ptr< basic_integer10< T > > | minute
std::shared_ptr< basic_integer10< T > > | second
std::shared_ptr< basic_integer10< T > > | millisecond
Public Attributes inherited from stdex::parser::basic_parser< T >
stdex::interval< size_t > | interval
| Region of the last match.

## Protected Attributes

std::shared_ptr< basic_set< T > > | m_separator
std::shared_ptr< basic_parser< T > > | m_millisecond_separator
Protected Attributes inherited from stdex::parser::basic_parser< T >
std::locale | m_locale

## Detailed Description

template<class T>
class stdex::parser::basic_time< T >

Test for time.

## Member Function Documentation

## invalidate()

template<class T >

virtual void stdex::parser::basic_time< T >::invalidate | ( |  | ) |

inlinevirtual

Reimplemented from stdex::parser::basic_parser< T >.

## match()

template<class T >

virtual bool stdex::parser::basic_time< T >::match | ( | _In_reads_or_z_(end) const T * | text,
|  | size_t | start = `0`,
|  | size_t | end = `SIZE_MAX`,
|  | int | flags = `match_default`
| ) |  |

inlinevirtual

Implements stdex::parser::basic_parser< T >.

The documentation for this class was generated from the following file:

- include/stdex/parser.hpp